You are not logged in.

#1 2022-12-05 11:53:32

kevinj045
Member
Registered: 2022-12-05
Posts: 6

Mongodb boost version lower then that of AUR

So earlier i installed mongodb, and i ran it and it said "libboost_program_options.so.1.78.0: cannot open file", so i installed boost and boost-libs. and they are both 1.80.0-3 and mongo requires 1.78.0. how do i fix this? or is it fixable at all?

Offline

#2 2022-12-05 12:03:13

Lone_Wolf
Forum Moderator
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 12,018

Re: Mongodb boost version lower then that of AUR

You have to rebuild your mongodb against the current boost/boost-libs version .

There are several mongodb packages in aur, which one are you using ?


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.


(A works at time B)  && (time C > time B ) ≠  (A works at time C)

Offline

#3 2022-12-05 12:07:48

kevinj045
Member
Registered: 2022-12-05
Posts: 6

Re: Mongodb boost version lower then that of AUR

I'm not exactly sure... but all i did was "pacman -S mongodb"

Offline

#4 2022-12-05 12:12:13

kevinj045
Member
Registered: 2022-12-05
Posts: 6

Re: Mongodb boost version lower then that of AUR

Lone_Wolf wrote:

You have to rebuild your mongodb against the current boost/boost-libs version .

There are several mongodb packages in aur, which one are you using ?

Sorry to ask but... how can i build it?

Offline

#5 2022-12-05 12:13:13

Lone_Wolf
Forum Moderator
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 12,018

Re: Mongodb boost version lower then that of AUR

There are some mongodb related programs in archlinux repos, but mongodb itself is not among them.

We need to investigate a bit .
Please post the exact command you ran to start mongodb and the output it gives on terminal.

Last edited by Lone_Wolf (2022-12-05 12:13:56)


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.


(A works at time B)  && (time C > time B ) ≠  (A works at time C)

Offline

#6 2022-12-05 12:34:22

kevinj045
Member
Registered: 2022-12-05
Posts: 6

Re: Mongodb boost version lower then that of AUR

Lone_Wolf wrote:

There are some mongodb related programs in archlinux repos, but mongodb itself is not among them.

We need to investigate a bit .
Please post the exact command you ran to start mongodb and the output it gives on terminal.

i ran: pacman -S mongodb, to install

and then i ran
$ mongo
libboost_program_options.so.1.78.0: cannot open file
$ mongod
libboost_program_options.so.1.78.0: cannot open file

I removed mongodb to rebuild it... (even tho i have no idea how). so i can't show u the exact output. but it is this one with the command name in the beginning

Offline

#7 2022-12-05 12:51:54

Lone_Wolf
Forum Moderator
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 12,018

Re: Mongodb boost version lower then that of AUR

mongodb used to be in archlinux repos, but was removed due to licensing issues .

The maintainer of https://aur.archlinux.org/packages/mongodb provides prebuilt binaries including instructions how to add their repo to pacman.conf

Since mongodb is mentioned to take lots of time and resources to build, I think you should consider using that.

The first permanent comment links to the build service / instructions .

Last edited by Lone_Wolf (2022-12-05 12:52:21)


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.


(A works at time B)  && (time C > time B ) ≠  (A works at time C)

Offline

#8 2022-12-05 13:01:55

kevinj045
Member
Registered: 2022-12-05
Posts: 6

Re: Mongodb boost version lower then that of AUR

Lone_Wolf wrote:

mongodb used to be in archlinux repos, but was removed due to licensing issues .

The maintainer of https://aur.archlinux.org/packages/mongodb provides prebuilt binaries including instructions how to add their repo to pacman.conf

Since mongodb is mentioned to take lots of time and resources to build, I think you should consider using that.

The first permanent comment links to the build service / instructions .

Thanks wolf, you're a saint

Offline

#9 2022-12-05 14:11:33

Scimmia
Fellow
Registered: 2012-09-01
Posts: 11,644

Re: Mongodb boost version lower then that of AUR

What does `pacman -Ss mongodb` show?

Online

Board footer

Powered by FluxBB